# - Find a8cas
# Find the native a8cas includes and libraries
#
#  A8CAS_INCLUDE_DIR - where to find a8cas.h, etc.
#  A8CAS_LIBRARIES   - List of libraries when using liba8cas.
#  A8CAS_FOUND       - True if liba8cas found.

if(A8CAS_INCLUDE_DIR)
    # Already in cache, be silent
    set(A8CAS_FIND_QUIETLY TRUE)
endif(A8CAS_INCLUDE_DIR)

find_path(A8CAS_INCLUDE_DIR a8cas.h)

find_library(A8CAS_LIBRARY NAMES a8cas a8cas-1)

# Handle the QUIETLY and REQUIRED arguments and set A8CAS_FOUND to TRUE if
# all listed variables are TRUE.
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(A8CAS DEFAULT_MSG
    A8CAS_INCLUDE_DIR A8CAS_LIBRARY)

if(A8CAS_FOUND)
  set(A8CAS_LIBRARIES ${A8CAS_LIBRARY})
else(A8CAS_FOUND)
  set(A8CAS_LIBRARIES)
endif(A8CAS_FOUND)

mark_as_advanced(A8CAS_INCLUDE_DIR A8CAS_LIBRARY)
